Server Info

Here is where you can post your comments about the network, give ideas for changes and what live-events you would like to see.
ck
Posts: 10

Server Info

Post by ck »

I asked in #coder-com if there is any servers left that is not supporting the +D channel mode. In return i got the answear "check the version". I asked "Is it listet somewhere or do i got to connect to every server and run a version check?" the channel went dead. Now why can't Undernet's server list on the website have the version of every server, and maybe add some info as maxchans, casemapping....?
Happiness comes in packages marked 'Batteries Not Included'

Spidel
Posts: 639
Location: Backyard

Post by Spidel »

you could check if it's updated to a newest version of ircu right on connect. for example im connected at the moment on bucharest.ro.eu.undernet.org and i get [22:02:13] *** Welcome to the UnderNet IRC Network, xsg5rpos2
[22:02:13] *** Your host is Bucharest.RO.EU.Undernet.Org, running version u2.10.12.09 <-- this indicates the version of ircu runned on this certain server.
"A wise man writes down what he thinks, a stupid man forgets what he thinks, a complete idiot punishes himself for what he thinks."

MrEen
Posts: 111
Location: Virginia, USA

Post by MrEen »

Actually, knowing the version won't necessarily help in this case. Just because a server CAN support +D does not mean they DO support it.

My suggestion would be to connect to a server, join a channel nobody else would have created and try setting the mode. If you are using mIRC, you will see the D in the window titlebar (+ntlD 15, for example.) I don't know how other clients handle this.

I know there are Undernet servers that still have not implemented +D. I believe every Undernet server claims to support it in the /version, but I know at least one (maybe more) have not implemented it as yet. Sorry, I don't know which one (or more) in this case.

MrEen
The bigger fish.

ck
Posts: 10

Post by ck »

That's why i wan't to have a more detailed list on the server list site. what modes they support and what version of ircu they are using. i'm not looking for ways to check if a server supports +D mode on irc. i'm looking for a list so you don't have to join every undernet server to check if they do it or not.
Happiness comes in packages marked 'Batteries Not Included'

Spidel
Posts: 639
Location: Backyard

Post by Spidel »

yeah it'd be cool, if the webmasters of the undernet website would actually add those to undernet servers list. but they need to check which servers supports +D and what's the version of ircu runned on the servers. it's a great idea of yours.
"A wise man writes down what he thinks, a stupid man forgets what he thinks, a complete idiot punishes himself for what he thinks."

User avatar
Stefanoo
Posts: 127
Location: Beirut

Post by Stefanoo »

Its not that necesary. plenty of things should be updated on the site rather then this issue in my opinion.

the problem of that topic is not with the webmaster but with the server admin who is slow in updating his server.

im not sure if there is a good communication among the webmaster and all the server administrators (so i doubte anyways the webmaster will go poke each server admin asking him if he updated or not)... but anyways sooner or later all servers will update their ircd and support +D .

anyways its illogic on posting that this network's servers arent the same.. its like if you say that server is old or bugged...
Stefano @ Douaihy.org

User avatar
sirAndrew
Posts: 760
Location: Romania

Post by sirAndrew »

This is the info you get on connect:

Code: Select all

[07:15] *** Your host is London2.UK.EU.Undernet.Org, running version u2.10.12.pre09
[07:15] *** This server was created Tue Jan 9 2007 at 02:46:22 GMT
[07:15] *** London2.UK.EU.Undernet.Org u2.10.12.pre09 dioswkgx biklmnopstvrD bklov
[07:15] *** ········································
[07:15] *** WHOX WALLCHOPS WALLVOICES USERIP CPRIVMSG CNOTICE SILENCE=15 MODES=6 MAXCHANNELS=20 MAXBANS=45 NICKLEN=12 MAXNICKLEN=15 TOPICLEN=160 AWAYLEN=160 KICKLEN=160 CHANNELLEN=200 MAXCHANNELLEN=200 are supported by this server
[07:15] *** CHANTYPES=#& PREFIX=(ov)@+ STATUSMSG=@+ [b]CHANMODES=b,k,l,imnpstr[i]Dd[/b][/i] CASEMAPPING=rfc1459 NETWORK=UnderNet are supported by this server


You can see which modes you can use on connect. For the more it`s useless to use the mode knowing that NOT all servers have updated to the latest version of IRCU. I`m still wondering why isn`t the required ircu release the one withg +D since the first version of ircu with +D is kinda old and stable enough. They still didn`t do that and created a mode mess on the network. If they did, and the required release is the one with +D then some server admins need some a$$ wooping.

I don`t know why the hell do you need to know what ircu version a server uses, if a ircu version with a feature you`re instereted in does not run on all servers, who the hell cares which servers has it and which not.

As Stefano said, some things need to be updated more then the server issue. Or some things need to be fixed, like this damn sendmail problem.
sirAndrew @ Undernet.org

8 years on this forum and i'm still the #1 poster around.

User avatar
Stefanoo
Posts: 127
Location: Beirut

Post by Stefanoo »

lol @ damn sendmail problem.
you read in my mind andrew? :)
Stefano @ Douaihy.org

ck
Posts: 10

Post by ck »

since the server admins have such freedom to not implement the new mode the undernet commite has approved, they should inform about it. i agree that the webmaster got better things to do than check the version of every server. but if the server admins had handed him the info it would't take him long to update it. what shall we do with a mode not working on some servers.. you can't trust the mode and use it when half of those who are on your channel are on a server not supporting the mode. you need to use other modes instead to try to get some simular effect. and i belive when every server got the mode implemented many ppl are gonna use it and trust it..
but how can they know if every server got it implemented? instead of just go on a website and check they need to connect to every server and join a empty channel and try to set the mode. most ppl don't do things like that.
Happiness comes in packages marked 'Batteries Not Included'

User avatar
sirAndrew
Posts: 760
Location: Romania

Post by sirAndrew »

I can understand how things can help if they show the ircu version on the website, since users would migrate to a server that is using such a mode, but there are other things that would need to be done. First of all the server admin would need to email the webmasters and tell them: i have updated to version ... . Then it would take some time untill the webmaster actually have time to update the website. As we can see, free time is not something webmasters have since they don`t fix crucial things right away ( see the sendmail problem )

Second of all about your problem with the admins having to update the server. Look, ircu is constantly being updated and improved, thus the large number of versions which are released. That`s why on the coder-com website there are showed current release and the required release. The current release is the last ircu version released, that means it has not been well tested it may have bugs, BIG bugs it may not be stable and may not work well with older versions of ircu, it also may mean that it`s improvements to the required or last release may not be critical or important, it may also be a pre version or a beta one. In this case server admins may or may not use it on their server, and they use it at their own risk. A required release, it`s a ircu version that has been tested and it is stable, and server admins HAVE to use it, also new links must run that same version ( the required release ) to be taken into consideration.

The ircu version from which +Dd vere implemented i know it has been released a long time ago and there have been many other versions which have been released since, but it`s not a big implementation and i don`t know if it has been tested and if it works on a network where all servers run that version.
sirAndrew @ Undernet.org

8 years on this forum and i'm still the #1 poster around.